@echo off
reg delete "HKLM\SOFTWARE\Microsoft\ESENT\Process\ac" /f 
reg delete "HKLM\SOFTWARE\Microsoft\WBEM\WMIC" /f 
reg delete "HKCU\Software\Classes\CLSID\{CB255C18-50CE-4f9d-B42F-CEAABDCC7E2F}" /f 
reg delete "HKCU\Software\Microsoft\Wbem" /f 
reg delete "HKCU\Software\Trolltech" /f
reg delete "HKCU\Software\Xilisoft\Software Manager" /f  
cls 
color 0A
:menu 
ECHO    西西软件园 www.cr173.com
ECHO    Xilisoft CD Ripper清理程序 by 忘言
ECHO       ☆ 请选择要进行的清理操作☆
ECHO    ======================================
ECHO    1.系统中安装有其它Xilisoft软件的选择1
ECHO    2.系统中没有安装过Xilisoft软件的选择2
ECHO    ======================================
ECHO.
SET /p Choice= 请输入选项前的数字并回车：
if /I "%Choice%"=="1" goto uninst1
if /I "%Choice%"=="2" goto uninst2
goto menu

:uninst1
reg delete "HKCU\Software\Xilisoft\CD Ripper 6" /f 
rd "%APPDATA%\Xilisoft\CD Ripper 6" /s /q
echo 清理完毕,按任意键退出！
pause >nul
exit

:uninst2
reg delete "HKCU\Software\Xilisoft" /f 
rd "%APPDATA%\Xilisoft" /s /q
echo 清理完毕,按任意键退出！
pause >nul
exit

